HDF: Package hdf.hdflib

Please, help us to better serve our user community by answering the following short survey: https://www.hdfgroup.org/website-survey/

| HDF 4.4.0 API Reference |

Loading...
Searching...
No Matches
Package hdf.hdflib

## Data Structures
class | ArrayDescriptor
class | HDFArray
class | HDFChunkInfo
class | HDFCompInfo
class | HDFConstants
class | HDFException
class | HDFJavaException
class | HDFJPEGCompInfo
class | HDFLibrary
class | HDFNativeData
class | HDFNBITChunkInfo
class | HDFNotImplementedException

## Functions
| HDFDeflateCompInfo ()
| HDFDeflateCompInfo (int l)
| HDFIMCOMPCompInfo ()
| HDFLibraryException ()
| HDFLibraryException (String s)
| HDFLibraryException (int err)
String | getMessage ()
void | printStackTrace ()
void | printStackTrace (java.io.File f)
| HDFNBITCompInfo ()
| HDFNBITCompInfo (int Nt, int Sign_ext, int Fill_one, int Start_bit, int Bit_len)
| HDFNewCompInfo ()
| HDFOldCompInfo ()
| HDFOldRLECompInfo ()
| HDFRLECompInfo ()
| HDFSKPHUFFCompInfo ()
| HDFSZIPCompInfo ()
| HDFSZIPCompInfo (int bits_per_pixel_in, int options_mask_in, int pixels_in, int pixels_per_block_in, int pixels_per_scanline_in)

## Variables
int | level
int | nt
int | sign_ext
int | fill_one
int | start_bit
int | bit_len
int | ctype
int | skp_size
int | bits_per_pixel
int | options_mask
int | pixels
int | pixels_per_block
int | pixels_per_scanline

## Function Documentation

## ◆ getMessage()

String getMessage | ( |  | ) |

## ◆ HDFDeflateCompInfo() [1/2]

HDFDeflateCompInfo | ( |  | ) |

## ◆ HDFDeflateCompInfo() [2/2]

HDFDeflateCompInfo | ( | int | l | ) |

## ◆ HDFIMCOMPCompInfo()

HDFIMCOMPCompInfo | ( |  | ) |

This class is a container for the parameters to the HDF ``Image compression'' compression class.

In this case, no auxiliary information is needed. */ public class HDFIMCOMPCompInfo extends HDFOldCompInfo {

/**

## ◆ HDFLibraryException() [1/3]

HDFLibraryException | ( |  | ) |

The class HDFException returns errors raised by the HDF library.

In principle, this includes any and all errors possible from the HDF library. However, most error conditions are not yet detected in this version of the Java interface. This will be added in future releases.

The only HDF library error currently raised are errors in Hopen, such as ``file not found''. */

public class HDFLibraryException extends HDFException {

/** Constructs an `HDFLibraryException` with no specified detail message.

## ◆ HDFLibraryException() [2/3]

HDFLibraryException | ( | int | err | ) |

Constructs an `HDFLibraryException` with the specified detail error number.

Parameters

  err | the detail error number.

## ◆ HDFLibraryException() [3/3]

HDFLibraryException | ( | String | s | ) |

Constructs an `HDFLibraryException` with the specified detail message.

Parameters

  s | the detail message.

## ◆ HDFNBITCompInfo() [1/2]

HDFNBITCompInfo | ( |  | ) |

## ◆ HDFNBITCompInfo() [2/2]

HDFNBITCompInfo | ( | int | Nt,
|  | int | Sign_ext,
|  | int | Fill_one,
|  | int | Start_bit,
|  | int | Bit_len )

## ◆ HDFNewCompInfo()

HDFNewCompInfo | ( |  | ) |

## ◆ HDFOldCompInfo()

HDFOldCompInfo | ( |  | ) |

## ◆ HDFOldRLECompInfo()

HDFOldRLECompInfo | ( |  | ) |

This class is a generic container for the parameters to the HDF RLE compressed classes, with the ``old'' type encoding.

In this case, there is no auxiliary information. */

public class HDFOldRLECompInfo extends HDFOldCompInfo {

/**

## ◆ HDFRLECompInfo()

HDFRLECompInfo | ( |  | ) |

This class is a generic container for the parameters to the HDF RLE compressed classes, with the ``new'' type encoding.

In this case, there is no auxiliary information. */ public class HDFRLECompInfo extends HDFNewCompInfo {

/**

## ◆ HDFSKPHUFFCompInfo()

HDFSKPHUFFCompInfo | ( |  | ) |

## ◆ HDFSZIPCompInfo() [1/2]

HDFSZIPCompInfo | ( |  | ) |

## ◆ HDFSZIPCompInfo() [2/2]

HDFSZIPCompInfo | ( | int | bits_per_pixel_in,
|  | int | options_mask_in,
|  | int | pixels_in,
|  | int | pixels_per_block_in,
|  | int | pixels_per_scanline_in )

## ◆ printStackTrace() [1/2]

void printStackTrace | ( |  | ) |

Prints this `HDFLibraryException`, the HDF Library error stack, and and the Java stack trace to the standard error stream.

## ◆ printStackTrace() [2/2]

void printStackTrace | ( | java.io.File | f | ) |

Prints this `HDFLibraryException` the HDF Library error stack, and and the Java stack trace to the specified print stream.

Parameters

  f | the file print stream.

## Variable Documentation

## ◆ bit_len

int bit_len

number of bits to store

## ◆ bits_per_pixel

int bits_per_pixel

This class is a container for the parameters to the HDF SZIP compression algorithm.

In this case, the only parameter is the ``level'' of deflation. */

public class HDFSZIPCompInfo extends HDFNewCompInfo {

/**

## ◆ ctype

int ctype

This class is a generic container for the parameters to the HDF compressed classes, with the ``new'' encoding.

Compression parameters are expressed as instances of sub-classes of this type. */

public class HDFNewCompInfo extends HDFCompInfo { /** from COMP_CODE_ENUM

This class is a generic container for the parameters to the HDF compressed classes, with the ``ole'' encoding.

Compression parameters are expressed as instances of sub-classes of this type. */

public class HDFOldCompInfo extends HDFCompInfo { /** from COMP_NONE defines

## ◆ fill_one

int fill_one

whether to fill with 1's or 0's

## ◆ level

int level

This class is a container for the parameters to the HDF DEFLATION compression algorithm.

In this case, the only parameter is the ``level'' of deflation. */

public class HDFDeflateCompInfo extends HDFNewCompInfo { /**

## ◆ nt

int nt

This class is a container for the parameters to the HDF ``NBIT'' compression class.

In this case, the information needed is the number type, the sign extension, the fill bit, the start bit, and the number of bits to store. */

public class HDFNBITCompInfo extends HDFNewCompInfo {

/** number type of the data to encode

## ◆ options_mask

int options_mask

## ◆ pixels

int pixels

## ◆ pixels_per_block

int pixels_per_block

## ◆ pixels_per_scanline

int pixels_per_scanline

## ◆ sign_ext

int sign_ext

whether to sign extend or not

## ◆ skp_size

int skp_size

This class is a generic container for the parameters to the HDF ``Skipping Huffman'' compression classes.

In this case, the information is the skip size */ public class HDFSKPHUFFCompInfo extends HDFNewCompInfo {

/**

## ◆ start_bit

int start_bit

offset of the start bit in the data